#!/usr/bin/env python
# Copyright (c) TripleBlind Holdings, Inc. Confidential and Proprietary. All rights reserved.
import tripleblind as tb

raise SystemExit("This script is for reference only.")

tb.initialize(tb.config.example_user1["token"])

# Find the report to run
report = tb.report_asset.DatabaseReport.find("EXAMPLE - Federated Blind Report")

# Run this report using only specific federation participants
output = report.run({"race": "Asian"}, federation_member_names=["Black Hill"])

# Retrieve the output as a Pandas dataframe
output.load(header=True)  # force the first line to be read as column names
print("\n\nReport output as a dataframe:")
print(output.dataframe)

# Retrieve the output as raw text
print("\n\nRaw report output:")
print(output.raw_content)

# Render the report manifest
output.render_manifest()
